# KSPSetNullSpace

Sets the null space of the operator

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PETSCKSP_DLLEXPORT KSPSetNullSpace(KSP ksp,MatNullSpace nullsp)

Collective on KSP

### Input Parameters

| ksp | - the Krylov space object
| nullsp | - the null space of the operator

### See Also

KSPSetOperators(), MatNullSpaceCreate(), KSPGetNullSpace()

Level:advanced
Location:src/ksp/ksp/interface/itcreate.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages